[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Accepted needrestart 2.7-1~bpo8+1 (source all) into jessie-backports, jessie-backports



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 23 Mar 2016 14:56:19 +0100
Source: needrestart
Binary: needrestart
Architecture: source all
Version: 2.7-1~bpo8+1
Distribution: jessie-backports
Urgency: high
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description:
 needrestart - check which daemons need to be restarted after library upgrades
Closes: 763937 764042 764043 764917 767370 768124 769811 772859 779832 781657 783181 784237 784437 786374 786584 787297 788380 791649 791664 791665 791708 792032 799733 799898 800718 800720 803249 805980 810031 810970 812399 815086 816061 816630
Changes:
 needrestart (2.7-1~bpo8+1) jessie-backports; urgency=medium
 .
   * Rebuild for jessie-backports.
 .
 needrestart (2.7-1) unstable; urgency=medium
 .
   * New upstream release.
     - Add dependency on gettext-base and libintl-perl.
     - Install notify.conf file.
     - Install new locale mo files.
     - Add display-manager 'slim' to override.
       Closes: #816061
     - Allow systemd service names with dots in them.
       Closes: #816630
     - Add russian translation.
       Closes: #815086
     - Notification scripts can be disabled globaly (see notify.conf).
       Closes: #787297
 .
 needrestart (2.6-1) unstable; urgency=high
 .
   * New upstream release.
     - Don't notify system users via email.
       Closes: #812399
     - Don't restart services in interactive restart mode while debconf's
       noninteractive frontend is used.
       Closes: #803249
     - Fix broken detection of old mappings due to regression introduced in 2.3.
       Closes: #810970
   * Bump Standards-Version to 3.9.7 (no changes required).
 .
 needrestart (2.5-1) unstable; urgency=medium
 .
   * New upstream release.
     - Fix broken kernel detection due to syntax error.
       Closes: #810031
 .
 needrestart (2.4-1) unstable; urgency=medium
 .
   * New upstream release.
     - Add override for systemd-logind due to another systemd regression.
       Closes: #800718
     - Fix grammar in hook scripts.
       Closes: #805980
   * Fix kernel detection on non x86* arch by adding a new depdency on xz-utils.
     Closes: #800720
   * Remove doubled line in long description.
     Closes: #799898
   * Remove libfile-slurp-perl dependency again. It is not required anymore.
 .
 needrestart (2.3-2) unstable; urgency=medium
 .
   * Add missing dependency on libfile-slurp-perl.
     Closes: #799733
 .
 needrestart (2.3-1) unstable; urgency=medium
 .
   * New upstream release.
     - Processes using chroot were always detected as obsolete
       since missing binaries in /proc/PID/root/.
        Closes: #786584
     - Add lightdm to override.
       Closes: #791649
     - Do not try container detection in user mode.
       Closes: #791665
     - Remove unsupported HTML markups from notifications.
       Closes: #791664
     - Add a quiet option to drop any progress messages.
       Closes: #791708
     - Do not handle user services as system services.
       Closes: #792032
     - Prevent killing user services.
       Closes: #788380
   * Merge 1.2-8+deb8u1 changelog.
   * Extend long description.
 .
 needrestart (2.1-1) unstable; urgency=low
 .
   * New upstream release.
     - Ignore apt-get.
       Closes: #784237
     - Add override for systemd's emergency.service and rescue.service.
       Closes: #784437
     - Ignore Oil Runtime Compiler's JIT files.
       Closes: #786374
     - Fix 2c037bc did broke the progressbar.
       Closes: #768124
     - Detect and suggest to restart containers (docker and LXC).
       Closes: #783181
     - Use /proc/$PID/root to scan for files fixing false positives on
       containers (i.e. LXC) using bind mounts.
       Closes: #783181
     - Skip scanning files with Interp/* if cwd is unknown.
       Closes: #779832
     - Add kernel hints option not requiring an acknowledgement by the user.
       Closes: #769811
     - Take version number comparing stuff from Dpkg::Version to compare kernel
       versions correctly.
       Closes: #781657
     - Improve restart query in interactive mode (stdio).
       Closes: #772859
   * Add needrestart-session to suggests.
   * Add again missing usr/share/polkit-1/actions directory.
 .
 needrestart (2.0-2) unstable; urgency=low
 .
   * Merge 1.2-7~bpo70+1 and 1.2-8 changelog.
   * Uploading to unstable.
 .
 needrestart (2.0-1) experimental; urgency=low
 .
   * New upstream release.
   * Merge 1.2-5, 1.2-6 and 1.2-7 changelog.
 .
 needrestart (1.2+git20141115-1) experimental; urgency=high
 .
   * New upstream git snapshot.
     - Fixed division by zero, which causes the debconf prompt to hang, if no
       kernel image was found.
       Closes: #767370
     - Fixed Perl warnings, if no TTY is available.
       Closes: #768124
   * Merge 1.2-3 and 1.2-4 changelog.
 .
 needrestart (1.2+git20141031-1) experimental; urgency=low
 .
   * New upstream git snapshot.
     - Add new /etc/needrestart/notify.d directory.
     - Add suggest on libnotify-bin.
     - Regression in list mode solved.
       Closes: #764042
     - conf.d directory added.
       Closes: #764043
     - Fixed display of running kernel.
       Closes: #764917
     - Don't blacklist services by default, but use a new override_rc option to
       don't restart some critical services by default.
       Closes: #763937
   * Merge 1.2-2~bpo70+1 changelog.
   * Use DEP5 copyright format.
Checksums-Sha1:
 bd98ace184fc817e005a464798c59ad8be5fa254 1772 needrestart_2.7-1~bpo8+1.dsc
 74b1d94dcfcf95f22d2acb238434fc88d655372b 43756 needrestart_2.7.orig.tar.gz
 5244a88efbe414f8ac57bc8381ce99ce10e13456 5876 needrestart_2.7-1~bpo8+1.debian.tar.xz
 d890a32934be6bcbd72f753fe942d66c0a2c8163 35830 needrestart_2.7-1~bpo8+1_all.deb
Checksums-Sha256:
 665e00320791b998d50032f227e0b19b8d61b7aa0d6fb000022629a99f1dcf6d 1772 needrestart_2.7-1~bpo8+1.dsc
 f13f5bfd7b7c5fd14ab42e9b626551f3bd1f3bd7a35f61b1a52e597fdad9a32e 43756 needrestart_2.7.orig.tar.gz
 cd255bfba43da7aaa3eb9e4df96bf58bd77e202e98d1eb0b4167810a403e49c0 5876 needrestart_2.7-1~bpo8+1.debian.tar.xz
 76b48fce6b1f2d3d8b6e56a8924dcb4fc2fd1f43c11873cacdc96d4596a978c2 35830 needrestart_2.7-1~bpo8+1_all.deb
Files:
 b66e0efff8038c5fa61fc1e35c4244d9 1772 admin optional needrestart_2.7-1~bpo8+1.dsc
 76b34000db0ea5808bf7f928c68a430c 43756 admin optional needrestart_2.7.orig.tar.gz
 ee26ff08972ebb9be3720f0f576b42b8 5876 admin optional needrestart_2.7-1~bpo8+1.debian.tar.xz
 c8c2e5cf1eb32f1ba5f79e7fdb260cc5 35830 admin optional needrestart_2.7-1~bpo8+1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJW8qEzAAoJEBLZsEqQy9jkDeoP/A3bClkWKECXkn0Lp+aItQ3W
vShxF4LEoy62aU1qjUw/+OHoKB7UMLksoUn9qhYMWfInyJFPGzaAiCUcyiQ3vhUK
pj757B3fBfiESFBNHX4uNY2CUneJZa/EwQtniDkJaUMW8vb0QkwmQrrNasjE5dla
Cn27g92yVu7cWk7xIaODSuRHlM3NsFSE6rI//PocHRZLal3pYlyq1Py5csKZk4Uk
crxR/uLONa35MqAjkVDJyb1g2QYBHEr+22TSaJo6FNCaADR0iWR/sDqVNITNIvmK
DJoNnV0M34GrapDPhZqkD0wkFtIkMCh+EH4udOWFOhKe0yNvDUpfbY5QOSIr9cwe
ab9nn1GNe0pKxXLUzulT7n8cOISepBTuZwb93amoQd2NaGB9IF1c96ItO2am4knh
NIQ4BfphNNlIBH5BAMIN16o/bZh8fT5QK9hl2ek5M2FrOMhObE9RufVGZJ/izhsc
TjmvRRm/j+HZ1BkqA1aaZ9m2t1hAI2FzYuZGLzg59h96yjxrQo4prA1HgTsAXxIc
NKed5SrLQ0wn4Z67E1FHq8AwYFZ8eAo1xhWPelQ/EF9WLXDj04TFW6uVB8/+2IhG
c2t3PIzpT6hooFa1z6jYu7/ML25oX/b6tZX7XrTOGx6j3XbkvqlQjE4fFpn2VuWP
9OZ3UCTRZsomTR5118WT
=eXmr
-----END PGP SIGNATURE-----


Reply to: